<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: AccessoryBaseLight Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryBaseLight.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classAccessoryBaseLight-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AccessoryBaseLight Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a88e2be8a90a47be58d0283ed8c6c973d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#a88e2be8a90a47be58d0283ed8c6c973d">AccessoryBaseLight</a> (<a class="el" href="classAccessory.html">Accessory</a> *inpOwner = 0)</td></tr>
<tr class="separator:a88e2be8a90a47be58d0283ed8c6c973d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c343fd849b47aea637ef7f34c3270a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#a26c343fd849b47aea637ef7f34c3270a">begin</a> (<a class="el" href="classPort.html">Port</a> *inpPort, int inIntensity = 255, <a class="el" href="classAccessory.html">Accessory</a> *inpOwner = 0)</td></tr>
<tr class="separator:a26c343fd849b47aea637ef7f34c3270a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f57b9cf4b45b9bdc91fef927199b79c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#a1f57b9cf4b45b9bdc91fef927199b79c">GetPort</a> () const </td></tr>
<tr class="separator:a1f57b9cf4b45b9bdc91fef927199b79c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdc391fd30e2632e64cd48cc64504f28"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">IsOn</a> () const </td></tr>
<tr class="separator:afdc391fd30e2632e64cd48cc64504f28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac82a7a3b7ab0da4aefd959d03ba0ed4a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">IsBlinking</a> () const </td></tr>
<tr class="separator:ac82a7a3b7ab0da4aefd959d03ba0ed4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3b580656c99a87a7e88946f407e712d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">IsFading</a> () const </td></tr>
<tr class="separator:aa3b580656c99a87a7e88946f407e712d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accc565a1d92ad5f4fb05850f1390791b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#accc565a1d92ad5f4fb05850f1390791b">Event</a> (ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:accc565a1d92ad5f4fb05850f1390791b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acce625a2eff7f353f1eec68a05177ac0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">SetBlinking</a> (unsigned long inBlinkingDelay)</td></tr>
<tr class="separator:acce625a2eff7f353f1eec68a05177ac0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1a200e6f6e47e63d07059c91265a91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">SetFading</a> (uint8_t inStep, uint8_t inDelay)</td></tr>
<tr class="separator:a1e1a200e6f6e47e63d07059c91265a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a3f2b19ab0321ec302374e7d1593f2d83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f2b19ab0321ec302374e7d1593f2d83"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>AccessoryLight</b></td></tr>
<tr class="separator:a3f2b19ab0321ec302374e7d1593f2d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2678f8f45bbde6377c579bdeb341fd1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2678f8f45bbde6377c579bdeb341fd1b"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>AccessoryLightMulti</b></td></tr>
<tr class="separator:a2678f8f45bbde6377c579bdeb341fd1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a proxy for a basic light. This is the way to share identical functions and behaviours for many kind of light accessory. A light basically can be on, off, blinking and / or fading (dim light). </p>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8hpp_source.html#l00026">26</a> of file <a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a88e2be8a90a47be58d0283ed8c6c973d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AccessoryBaseLight::AccessoryBaseLight </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classAccessory.html">Accessory</a> *&#160;</td>
          <td class="paramname"><em>inpOwner</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8cpp_source.html#l00015">15</a> of file <a class="el" href="AccessoryBaseLight_8cpp_source.html">AccessoryBaseLight.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a26c343fd849b47aea637ef7f34c3270a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryBaseLight::begin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPort.html">Port</a> *&#160;</td>
          <td class="paramname"><em>inpPort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inIntensity</em> = <code>255</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classAccessory.html">Accessory</a> *&#160;</td>
          <td class="paramname"><em>inpOwner</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpPort</td><td><a class="el" href="classPort.html">Port</a> driven this light. </td></tr>
    <tr><td class="paramname">inIntensity</td><td>Intensity of this light. Default is maximum, 255. </td></tr>
    <tr><td class="paramname">inpOwner</td><td>Address of the real <a class="el" href="classAccessory.html">Accessory</a> owner of this proxy. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8cpp_source.html#l00062">62</a> of file <a class="el" href="AccessoryBaseLight_8cpp_source.html">AccessoryBaseLight.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="accc565a1d92ad5f4fb05850f1390791b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryBaseLight::Event </td>
          <td>(</td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Execute a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8cpp_source.html#l00120">120</a> of file <a class="el" href="AccessoryBaseLight_8cpp_source.html">AccessoryBaseLight.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1f57b9cf4b45b9bdc91fef927199b79c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classPort.html">Port</a>* AccessoryBaseLight::GetPort </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the associated port. </p><dl class="section return"><dt>Returns</dt><dd>port address or NULL. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8hpp_source.html#l00061">61</a> of file <a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ac82a7a3b7ab0da4aefd959d03ba0ed4a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryBaseLight::IsBlinking </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is blinking. </p><dl class="section return"><dt>Returns</dt><dd>true if the light is blinking. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8hpp_source.html#l00069">69</a> of file <a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aa3b580656c99a87a7e88946f407e712d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryBaseLight::IsFading </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is fading. </p><dl class="section return"><dt>Returns</dt><dd>true if the light is fading. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>A light can dim only with an analog pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8hpp_source.html#l00074">74</a> of file <a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="afdc391fd30e2632e64cd48cc64504f28"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryBaseLight::IsOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is on. </p><dl class="section return"><dt>Returns</dt><dd>true if the light is on. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8hpp_source.html#l00065">65</a> of file <a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="acce625a2eff7f353f1eec68a05177ac0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryBaseLight::SetBlinking </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inBlinkingDelay</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set the blinking mode, with a duration for a blink. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inBlinkingDelay</td><td>Duration of the light on state. the same duration is applied for light off. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8hpp_source.html#l00084">84</a> of file <a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1e1a200e6f6e47e63d07059c91265a91"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryBaseLight::SetFading </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inDelay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set the fading mode, defining its speed. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inStep</td><td>Number of steps between light on and light off. </td></tr>
    <tr><td class="paramname">inDelay</td><td>Duration of each step. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryBaseLight_8cpp_source.html#l00048">48</a> of file <a class="el" href="AccessoryBaseLight_8cpp_source.html">AccessoryBaseLight.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryBaseLight_8hpp_source.html">AccessoryBaseLight.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryBaseLight_8cpp_source.html">AccessoryBaseLight.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
